lib64sox-devel-14.4.3-0.git20200117.1.mga8.x86_64.rpm


Advertisement

Description

lib64sox-devel - Development headers and libraries for libst

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package filename lib64sox-devel-14.4.3-0.git20200117.1.mga8.x86_64.rpm
Package name lib64sox-devel
Package version 14.4.3
Package release 0.git20200117.1.mga8
Package architecture x86_64
Package type rpm
Category Development/C
Homepage http://sox.sourceforge.net/
License LGPLv2+
Maintainer -
Download size 32.66 KB
Installed size 96.41 KB
Development headers and libraries for SoX.

Alternatives

Package Version Architecture Repository
lib64sox-devel - - -

Requires

Name Value
devel(libFLAC(64bit)) -
devel(libasound(64bit)) -
devel(libgomp(64bit)) -
devel(libgsm(64bit)) -
devel(libid3tag(64bit)) -
devel(liblpc10(64bit)) -
devel(libltdl(64bit)) -
devel(libm(64bit)) -
devel(libmad(64bit)) -
devel(libmagic(64bit)) -
devel(libmp3lame(64bit)) -
devel(libogg(64bit)) -
devel(libopusfile(64bit)) -
devel(libpng16(64bit)) -
devel(libpulse(64bit)) -
devel(libpulse-simple(64bit)) -
devel(libsndfile(64bit)) -
devel(libsndio(64bit)) -
devel(libtwolame(64bit)) -
devel(libvorbis(64bit)) -
devel(libvorbisenc(64bit)) -
devel(libvorbisfile(64bit)) -
devel(libwavpack(64bit)) -
devel(libz(64bit)) -
lib64sox3 == 14.4.3-0.git20200117.1.mga8
pkgconfig -

Provides

Name Value
devel(libsox(64bit)) -
lib64sox-devel == 14.4.3-0.git20200117.1.mga8
lib64sox-devel(x86-64) == 14.4.3-0.git20200117.1.mga8
libsox-devel == 14.4.3-0.git20200117.1.mga8
pkgconfig(sox) == 14.4.3git
sox-devel == 14.4.3-0.git20200117.1.mga8

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64sox-devel-14.4.3-0.git20200117.1.mga8.x86_64.rpm
Source Package sox-14.4.3-0.git20200117.1.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64sox-devel rpm package:
    # urpmi lib64sox-devel

Files

Path
/usr/include/sox.h
/usr/lib64/libsox.so
/usr/lib64/pkgconfig/sox.pc
/usr/share/man/man3/libsox.3.xz

Changelog

2020-01-17 - zezinho <zezinho> 14.4.3-0.git20200117.1.mga8
+ Revision: 1481372
- switch to git as upstream does not releases for years
- remove all upstreamed patches
- remove useless obsoletes
+ wally <wally>
- replace deprecated %configure2_5x
2020-01-15 - zezinho <zezinho> 14.4.2-12.mga8
+ Revision: 1478066
- security fixes mga#25289
+ wally <wally>
- replace deprecated %makeinstall_std
2018-09-23 - umeabot <umeabot> 14.4.2-11.mga7
+ Revision: 1301117
- Mageia 7 Mass Rebuild
2018-04-24 - zezinho <zezinho> 14.4.2-10.mga7
+ Revision: 1222166
- add CVE-2017-18189 patch
2018-04-11 - zezinho <zezinho> 14.4.2-9.mga7
+ Revision: 1217608
- security patches from debian mga#22615
2018-01-28 - luigiwalser <luigiwalser> 14.4.2-8.mga7
+ Revision: 1197867
- add patches from fedora to fix CVE-2017-15370 and CVE-2017-15371

See Also

Package Description
lib64sox3-14.4.3-0.git20200117.1.mga8.x86_64.rpm Libraries for SoX
lib64soxr-devel-0.1.3-5.mga8.x86_64.rpm Development files for soxr
lib64soxr-lsr-devel-0.1.3-5.mga8.x86_64.rpm Development files for soxr
lib64soxr-lsr0-0.1.3-5.mga8.x86_64.rpm The SoX Resampler shared library
lib64soxr0-0.1.3-5.mga8.x86_64.rpm The SoX Resampler shared library
lib64spandsp-devel-0.0.6-pre20180108.3.mga8.x86_64.rpm Header files and libraries needed for development with SpanDSP
lib64spandsp2-0.0.6-pre20180108.3.mga8.x86_64.rpm Steve's SpanDSP library for telephony spans
lib64sparsehash-devel-2.0.3-3.mga8.x86_64.rpm Extremely memory-efficient C++ hash_map implementation
lib64spatialindex-devel-1.9.3-1.mga8.x86_64.rpm Development files for libspatialindex
lib64spatialindex6-1.9.3-1.mga8.x86_64.rpm Spatial indexing libraries
lib64spatialite-devel-4.3.0a-9.mga8.x86_64.rpm Development files for libspatialite
lib64spatialite7-4.3.0a-9.mga8.x86_64.rpm SQLite Spatial SQL extension
lib64spectre-devel-0.2.8-3.mga8.x86_64.rpm Postscript rendering library
lib64spectre1-0.2.8-3.mga8.x86_64.rpm Postscript rendering library
lib64spectrum-devel-1.4.4-2.mga8.x86_64.rpm Libraries, includes, etc. to develop libspectrum applications
Advertisement
Advertisement